org.jgrapht.experimental.alg

## Class IntArrayGraphAlgorithm<V,E>

- java.lang.Object
- - org.jgrapht.experimental.alg.IntArrayGraphAlgorithm<V,E>

- Direct Known Subclasses:
    BrownBacktrackColoring, GreedyColoring

      public abstract class IntArrayGraphAlgorithm<V,E>
      extends Object

  Author:
    micha

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected int[][]` | `_neighbors`
    `protected Map<V,Integer>` | `_vertexToPos`
    `protected List<V>` | `_vertices`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `IntArrayGraphAlgorithm(Graph<V,E> g)`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### _vertices

          protected final List<V> _vertices

    - #### _neighbors

          protected final int[][] _neighbors

    - #### _vertexToPos

          protected final Map<V,Integer> _vertexToPos

  - ### Constructor Detail

    - #### IntArrayGraphAlgorithm

          public IntArrayGraphAlgorithm(Graph<V,E> g)

      Parameters:
        `g` -

Copyright © 2016. All rights reserved.